From 3917b805b2b840adafef1f0f076adb8d7415773d Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Jan 05 2021 14:18:39 +0000
Subject: [PATCH 7/8] libre/iceweasel: checksums; move git clean step


git clean step needed to be moved, IIRC because some to-be-removed files
interfered with Remote Settings patching check.

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index aa726cc..e3375d2 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -84,18 +84,16 @@ source_i686=('avoid-libxul-OOM-python-check.patch'
              'rust-static-disable-network-test-on-static-libraries.patch')
 sha256sums=('ae5500d270a199f9a10674fbd4ba7a6beac1f260a4c009bbca8ea39967592243'
             'SKIP'
-            'e0eaec8ddd24bbebf4956563ebc6d7a56f8dada5835975ee4d320dd3d0c9c442'
-            'c2489a4ad3bfb65c064e07180a1de9a2fbc3b1b72d6bc4cd3985484d1b6b7b29'
-            '52cc26cda4117f79fae1a0ad59e1404b299191a1c53d38027ceb178dab91f3dc'
-            '2ffa37306bf8e5d79e074e612f88b6f3f671c45215724f84dd85cbea8b91e6bd'
+            '8b236bbf3ae5cb28d1dd742f543c0079fac06af5aa80bc2051defeba95f0ae21'
             '44be8e819b8334ed36e9410d62dbc6c16dd8f8329a191403bfdce3cf2e9181fc'
-            '228b7d316ab6836a6e69aa7070033b1ae073f3579474a49d8c306702b1c1413e'
+            'faf0faa5cc318515880e1c9854938f73e586b590c9696e95db323eea65d67a77'
             'SKIP'
-            '5cfcadbd168c52b1b1e3f2f2c45911a4ae1a9d8a05918be68475a31985607bd8'
-            '0ed6b8efa00f73a96bceaba2d6a31fb11d416106729ab9b8289b191eb9acccfa'
-            '0ace0929a7487bd3d464a432e9be643a8f62d135cdfc1b4b2c55846aee8c04dc')
-sha256sums_i686=('80b6461579398398c28f9b72b0c55220f261d9bf6c5a253e3bc66dc8a65131f6'
-                 'e661665ee00ecec66c33e115b0af3474452022f0d8ceda634a6315dc8cb99014')
+            'e4fc091da84f75f701e1f3e336a8d42b746075caf7cb5f23dbb4d8fdd0ac4708'
+            '926082110e92bdc8ca53b930f4717a5294b64f6ebcc4d22d46d97088c5e862f0'
+            'e9d1b74971d58c5b860601bd8c0c11df332dab8be2f61f5d238ba50a5c4efdde'
+            '714998c5fc379f54a66ff80a845b7880169cd5b4094b77b719a99d33b65c0940')
+sha256sums_i686=('2f0c81a38c4578f68f5456b618fe84a78974072821488173eb55e0e72287e353'
+                 'a9c49222de0423b52a0c60965ace4a0793807c9aba18c21a79bd290690e91892')
 sha256sums_armv7h=('bc00516032330760444939c516a60c78f868631e1b37f075f0fe71a53737b966'
                    '2d4d91f7e35d0860225084e37ec320ca6cae669f6c9c8fe7735cdbd542e3a7c9')
 validpgpkeys=('14F26682D0916CDD81E37B6D61B7B526D98F0353') # Mozilla Software Releases <release@mozilla.com>
@@ -284,10 +282,18 @@ END
   export QUILT_PC=$srcdir/.pc
   quilt push -av
 
-
   ## libre patching ##
 
   # Remove remaining non-free bits
+  # Upstream tarball can contain some ignored cruft,
+  # including binaries (for example, python3).
+  echo 'Removing files specified in .gitignore...'
+  git init && git clean -dfX \
+    -e '!ipc/chromium/src/third_party/libevent/evconfig-private.h' \
+    -e '!toolkit/crashreporter/google-breakpad/src/third_party/lss/' \
+    -e '!third_party/python/**/*.egg-info/'
+  rm -rf .git
+
   # Remove test-related networking dumps, because they contain code from
   # some Amazon webpage with no clear licensing, thus nonfree.
   # Also they interfere with checking of Remote Settings patching done later,
@@ -339,17 +345,6 @@ END
     -exec rm -frv {} \;
   popd
 
-  # Removing What's New tab from Developer Tools, usages are removed by libre.patch
-  rm -rf devtools/client/whats-new
-
-  # Upstream tarball can contain some ignored cruft,
-  # including binaries (for example, python3).
-  echo 'Removing files specified in .gitignore...'
-  git init && git clean -dfX \
-    -e '!ipc/chromium/src/third_party/libevent/evconfig-private.h' \
-    -e '!toolkit/crashreporter/google-breakpad/src/third_party/lss/' \
-    -e '!third_party/python/**/*.egg-info/'
-  rm -rf .git
   python ../libre-process-json-files.py "$srcdir/firefox-$pkgver" "${brandingsrcdir}"
 }
 

